## imcode.util
Class CompositeList

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList
              imcode.util.CompositeList

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable, java.util.Collection, java.util.List

    public class CompositeList

extends java.util.AbstractList
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`CompositeList()`

Method Summary
`void` `addList(java.util.List list)`
`boolean` `contains(java.lang.Object o)`
`java.lang.Object` `get(int index)`
`java.lang.Object` `remove(int index)`
`java.lang.Object` `set(int index, java.lang.Object element)`
`int` `size()`

Methods inherited from class java.util.AbstractList
`add, add, addAll, clear, equals, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, removeRange, subList`

Methods inherited from class java.util.AbstractCollection
`addAll, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`addAll, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

Constructor Detail

### CompositeList

    public CompositeList()

Method Detail

### get

    public java.lang.Object get(int index)

  Specified by:
    `get` in interface `java.util.List`
  Specified by:
    `get` in class `java.util.AbstractList`

### remove

    public java.lang.Object remove(int index)

  Specified by:
    `remove` in interface `java.util.List`
  Overrides:
    `remove` in class `java.util.AbstractList`

### set

    public java.lang.Object set(int index,
                                java.lang.Object element)

  Specified by:
    `set` in interface `java.util.List`
  Overrides:
    `set` in class `java.util.AbstractList`

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Collection`
  Specified by:
    `size` in interface `java.util.List`
  Specified by:
    `size` in class `java.util.AbstractCollection`

### contains

    public boolean contains(java.lang.Object o)

  Specified by:
    `contains` in interface `java.util.Collection`
  Specified by:
    `contains` in interface `java.util.List`
  Overrides:
    `contains` in class `java.util.AbstractCollection`

### addList

    public void addList(java.util.List list)